Segments

Create a segment

POST
/v1/segments
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

namestring
Length1 <= length <= 80
description?string
Default""
Lengthlength <= 500
filter?
Default{}

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.mentio.dev/v1/segments" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "filter": {
    "platforms": [
      "bluesky"
    ],
    "tags": [
      "string"
    ],
    "minFollowers": 0,
    "maxFollowers": 0,
    "minMentions": 1,
    "minNegative": 1,
    "intents": [
      "string"
    ],
    "keywordKinds": [
      "brand"
    ],
    "neverKeywordKinds": [
      "brand"
    ],
    "notPlatforms": [
      "bluesky"
    ],
    "notTags": [
      "string"
    ],
    "notIntents": [
      "string"
    ],
    "newSinceDays": 1,
    "linkHosts": [
      "string"
    ],
    "muted": true,
    "stages": [
      "not_contacted"
    ],
    "automated": true,
    "ownerIds": [
      "string"
    ]
  },
  "count": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}